/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "${_RoundRect}", "click", function(sym, e) {
         // array assigned to dta
         var dta = [ "one", "two", "three", "four", "five", "six", "seven", "eight", "nine" ];
         var len = dta.length;
         // iterate (jQuery .each) through array (dta) accessing its index (i), value(val)
         $.each(dta, function(i, val){
            // Create a symbol instance for each index number: 0-8
         	var box = sym.createChildSymbol("theBox", "Stage");
            // Rewrite the text element in the symbol the value of index
            box.$('Text2').html(i+1);
         	//box.$('Text2').html('<b>'+i+'</b>');
         	//box.$('Text2').html('<b>'+index+':</b> '+item+'.');
         
            // Attach a click handler to the instance and send its value to Stage > Text Element
                 box.$('box').click(function(){
                      sym.$("Text").html('<b>'+val+'</b>');
         	          //alert("Box # "+i+": Value "+val);
         	     }); 
         	});
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         var title=$("title").text();
         $("body").prepend("<div class='future'><h1>" + title + "</h1></div>");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'theBox'
   (function(symbolName) {   
   
   })("theBox");
   //Edge symbol end:'theBox'

})(jQuery, AdobeEdge, "EDGE-726125");